For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
GuidesAPI Reference
GuidesAPI Reference
  • Panic API Reference
      • GETList active customer callouts
      • POSTRaise a customer callout
      • POSTRaise a callout (legacy)
      • GETList active callouts
      • GETGet a callout
      • POSTStream location and return callout
      • POSTStream a location update
      • GETRead callout events
      • POSTSend a callout event
      • GETList cancellation reasons
      • POSTCreate a cancellation reason
      • GETGenerate a resolution report
      • GETGet a callout map
      • POSTCancel a callout
      • GETList rating items
      • POSTSubmit a rating item
      • POSTSubmit a callout rating
LogoLogo
Panic API ReferenceCallouts

Send a callout event

POST
/panic-api/v2/callouts/:calloutId/events
POST
/panic-api/v2/callouts/:calloutId/events
$curl -X POST https://staging-panic.aura.services/panic-api/v2/callouts/992011/events \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "message": "Customer reports they are safe."
>}'
1{
2 "id": 771,
3 "calloutId": 992011,
4 "message": "Customer reports they are safe.",
5 "createdAt": "2024-01-15T09:30:00Z"
6}
Sends a chat message or event into the callout conversation with the control centre.
Was this page helpful?
Previous

List cancellation reasons

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

calloutIdintegerRequired
Callout identifier.

Request

This endpoint expects an object.
messagestringRequired

Response

Event created.
idinteger
calloutIdinteger
messagestring
createdAtdatetime

Errors

400
Bad Request Error
401
Unauthorized Error